clang 8.0.0

Public Types | Public Attributes | List of all members
clang::format::JsModuleReference Struct Reference
Collaboration diagram for clang::format::JsModuleReference:
[legend]

## Public Types
enum | ReferenceCategory { SIDE_EFFECT, ABSOLUTE, RELATIVE_PARENT, RELATIVE }

## Public Attributes
bool | IsExport = false
ReferenceCategory | Category = ReferenceCategory::SIDE_EFFECT
StringRef | URL
StringRef | Prefix
SmallVector< JsImportedSymbol, 1 > | Symbols
SourceRange | Range

## Detailed Description

Definition at line 72 of file SortJavaScriptImports.cpp.

## Member Enumeration Documentation

## ◆ ReferenceCategory

enum clang::format::JsModuleReference::ReferenceCategory

Enumerator
SIDE_EFFECT |
ABSOLUTE |
RELATIVE_PARENT |
RELATIVE |

Definition at line 75 of file SortJavaScriptImports.cpp.

## Member Data Documentation

## ◆ Category

ReferenceCategory clang::format::JsModuleReference::Category = ReferenceCategory::SIDE_EFFECT

Definition at line 81 of file SortJavaScriptImports.cpp.

Referenced by clang::format::operator<().

## ◆ IsExport

bool clang::format::JsModuleReference::IsExport = false

Definition at line 73 of file SortJavaScriptImports.cpp.

Referenced by clang::format::operator<().

## ◆ Prefix

StringRef clang::format::JsModuleReference::Prefix

Definition at line 86 of file SortJavaScriptImports.cpp.

Referenced by clang::format::operator<().

## ◆ Range

SourceRange clang::format::JsModuleReference::Range

Definition at line 91 of file SortJavaScriptImports.cpp.

## ◆ Symbols

SmallVector<JsImportedSymbol, 1> clang::format::JsModuleReference::Symbols

Definition at line 88 of file SortJavaScriptImports.cpp.

## ◆ URL

StringRef clang::format::JsModuleReference::URL

Definition at line 83 of file SortJavaScriptImports.cpp.

Referenced by clang::format::operator<().

The documentation for this struct was generated from the following file:

- lib/Format/SortJavaScriptImports.cpp